"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.moduleFileType = moduleFileType;
exports.isStyleFile = exports.isTsFile = exports.isJsFile = void 0;

var _path = require("path");

function moduleFileType(...exts) {
  return imported => exts.some(ext => (0, _path.extname)(imported.moduleName) === ext);
}

const isJsFile = moduleFileType('', '.js', '.jsx', '.es6', '.es');
exports.isJsFile = isJsFile;
const isTsFile = moduleFileType('.ts', '.tsx');
exports.isTsFile = isTsFile;
const isStyleFile = moduleFileType('.css', '.scss', '.less');
exports.isStyleFile = isStyleFile;